Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class MenuItemRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AjaxCommandRendererBase
                  org.richfaces.renderkit.html.MenuItemRendererBase
                      org.richfaces.renderkit.html.MenuItemRenderer

    public class MenuItemRenderer

extends MenuItemRendererBase

Field Summary

Fields inherited from class org.richfaces.renderkit.html.MenuItemRendererBase
`RENDERER_TYPE`

Constructor Summary
`MenuItemRenderer()`

Method Summary
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`

Methods inherited from class org.richfaces.renderkit.html.MenuItemRendererBase
`doDecode, getDDMenu, getIconAttribute, getIconFacet, getMenuGroup, getOnClick, getOnClickFunction, getStyleClass, getSubmitMode, isDisabled, isStringEmpty, resolveSubmitMode`

Methods inherited from class org.richfaces.renderkit.AjaxCommandRendererBase
`isSubmitted, queueComponentEventForBehaviorEvent`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuItemRenderer

    public MenuItemRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws IOException

  Overrides:
    `encodeEnd` in class `RendererBase`
  Throws:
    `IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.